/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:13pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\WheresMyGrizzyQuest.cs
Lines of code: 31
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class FlyInTheSkyQuest : BaseQuest
	{					
		public override bool ForceRemember{ get{ return true; } }
		
		public override object Title{ get{ return "Fly In The Sky"; } }
		
		public override object Description{ get{ return "Oh how I long for the great fly in the sky. So delicious it will be, I have just never found it. Graymalkin told me there was a small swamp full of flies around here, if you know of it, take me there and I will reward you!"; } }
		
		public override object Refuse{ get{ return "Okay, I'll find that spot eventually. Thanks anyways."; } }
		
		public override object Uncomplete{ get{ return "I have no idea where the swamp is, I though you knew."; } }
		
		public override object Complete{ get{ return "Thank you so much for bringing me to this swamp, such delicious flies!"; } }
				
		public FlyInTheSkyQuest() : base()
		{								
			AddObjective( new EscortObjective( "Swamp of Flies" ) );
						
			AddReward( new BaseReward( typeof( OrangeFrogHintScroll ), "A hint scroll" ) );
		}		
		
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
}